#! /bin/sh

export GISBASE="/usr/local/grass-7.0.svn/"
export PATH=$PATH:$GISBASE/bin:$GISBASE/scripts
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GISBASE/lib
export PYTHONPATH="$GISBASE/etc/python:$PYTHONPATH"

BASE=`pwd`

export GISDBASE=$BASE
export MAPSET=PERMANENT

export LOCATION_NAME=select_segfault
#export GISRC=
echo "GISDBASE: $GISDBASE
MAPSET: $MAPSET
LOCATION_NAME: $LOCATION_NAME
GRASS_GUI: text" > $HOME/.grassrc7_$LOCATION_NAME
export GISRC=$HOME/.grassrc7_$LOCATION_NAME

rm -rf $LOCATION_NAME
mkdir -p $LOCATION_NAME/$MAPSET
cp -a projections/continent/* $LOCATION_NAME/$MAPSET

db.connect driver=sqlite database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite.db'

v.mkgrid map=continent_whole_grid grid=2,2
v.mkgrid map=other_grid grid=4,4
v.category 

v.select ainput=other_grid atype=area binput=continent_whole_grid btype=area output=result operator=overlap

